Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36283 - masking in merged contexts
masking in merged contexts
Status: RESOLVED WONTFIX
Product: contrib
Classification: Unclassified
Component: Registry
3.x
All All
: P2 (vote)
: 6.x
Assigned To: Jiri Skrivanek
issues@contrib
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 14:45 UTC by David Konecny
Modified: 2008-12-22 13:53 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Konecny 2003-09-25 14:45:13 UTC
At the moment the masking of bindings is solved by
specially named contexts, bindings and attributes.
This masking stuff must be filtered out in
api.Context, because it is implementation detail
which API clients should not know about.

Different proposal is to add explicit support for
masking into Registry SPI. If this gets
implemented the filtering in api.Context is not
needed.

This task should analyze both options and choose
one and then implement it.
Comment 1 Antonin Nebuzelsky 2008-04-15 17:13:52 UTC
Reassigning to new module owner jskrivanek.
Comment 2 David Konecny 2008-04-15 22:17:33 UTC
Registry module is obsolete.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo